#!/bin/sh

VERSION=`cat module.json | jq -r '.version'`
TMP_DIR=`mktemp -d`
FOLDER="${TMP_DIR}/the_beguiler_module_${VERSION}"

sh ./json_to_nedb.sh
mkdir "${FOLDER}"
cp -r languages README.md module.json modules "${FOLDER}/"
mkdir "${FOLDER}/packs"
cp packs/*.db "${FOLDER}/packs"

zip -r "the_beguiler_module_${VERSION}.zip" "${FOLDER}"
rm -rf "${TMP_DIR}"
